interactor :off

guard :shell do
  watch(%r{^protected/assets/stylesheets/\S+\.(css|sass)$}i) do
    `rake assets:compile_css`
    n("CSS Compiled", "Kria") if $?.to_i.zero?
  end

  watch(%r{^protected/assets/javascripts/\S+\.(js|coffee)$}i) do
    `rake assets:compile_js` 
    n("JS Compiled", "Kria") if $?.to_i.zero?
  end

  callback(:start_begin) { `rake assets:compile` }
end
